%define	name	amarok
%define	version	1.2.2
%define	release	4mdk
%define	__libtoolize /bin/true 

#Add MySQL support
%define build_mysql 0
%{?_with_mysql: %global build_mysql 1}

Summary:	A powerful media player for Kde
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Url:		http://amarok.sourceforge.net/
Group:		Sound
Source0:	%{name}-%{version}.tar.bz2
Source10:       %{name}-16.png
Source11:       %{name}-32.png
Source12:       %{name}-48.png

Patch0:		%{name}-1.0-fix-locales.patch.bz2
Patch1:		amarok-1.0.2-fix-initial-preference.patch.bz2
Patch2:		amarok-1.0.2-fix-configure.patch.bz2
Patch3:		amarok-1.0.2-fix-default-config.patch.bz2

Patch4:		amarok-1.2-fix-config.patch.bz2

Patch5:		amarok-1.2-beta1-add-multimedia-shortcut.patch.bz2

Patch15:	amarok-1.2.1-fix-kde-bug-101276.patch.bz2
Patch16:	amarok-1.2.1-fix-signal-slot.patch.bz2
Patch17:	amarok-1.2.1-fix-kde-bug-101528.patch.bz2
Patch18:	amarok-1.2.2-fix-kde-bug-101496.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs-devel libtaglib-devel >= 1.3 kdemultimedia-devel
BuildRequires:	xmms-devel gstreamer-devel MesaGLU-devel
BuildRequires:  libxine-devel libvisual-devel
BuildRequires:	libtunepimp-devel kdebase-devel libxml2-utils

%if %build_mysql
BuildRequires:  mysql-devel
%endif

Requires:		kdemultimedia-common


%description
Feature Overview 
 
* Music Collection:
You have a huge music library and want to locate tracks quickly? Let amaroK's
powerful Collection take care of that! It's a database powered music store, 
which keeps track of your complete music library, allowing you to find any 
title in a matter of seconds. 
 
* Intuitive User Interface:
You will be amazed to see how easy amaroK is to use! Simply drag-and-drop files
into the playlist. No hassle with complicated  buttons or tangled menus. 
Listening to music has never been easier! 
 
* Streaming Radio:
Web streams take radio to the next level: Listen to thousands of great radio
stations on the internet, for free! amaroK provides excellent streaming
support, with advanced features, such as displaying titles of the currently
playing songs. 
 
* Context Browser:
This tool provides useful information on the music you are currently listening
to, and can make listening suggestions, based on your personal music taste. An
innovate and unique feature. 
 
* Visualizations:
amaroK is compatible with XMMS visualization plugins. Allows you to use the
great number of stunning visualizations available on the net. 3d visualizations
with OpenGL are a great way to enhance your music experience. 
 
* Multiple Audio Systems:
You have been using aRts, but would like to try GStreamer, or the innovative
NMM multimedia system? With amaroK, you can simply switch between these audio
systems at runtime, using a unique plugin based engine technology.  

%package scripts
Summary:	Scripts for amarok
Group:		Graphical desktop/KDE
Requires:	%name = %version-%release
URL:        http://www.kde.org/
Requires:	smoke

%description scripts
This package includes python scripts for amarok.

%prep
%setup -q -n %name-%version
#%patch0
%patch1 -p1 -b .fix_amarok_initial_preference
%patch3 -p0 -b .fix_amarok_default_config_file

%patch4 -p1 -b .fix_default_config

%patch5 -p1 -b .fix_add_multimedia_shortcut

%patch16 -p1 -b .fix_signal_slot

%patch18 -p0 -b .fix_kde_bug_101496


%build
export QTDIR=%qtdir
export KDEDIR=%_prefix

export LD_LIBRARY_PATH="$QTDIR:/%_lib:$LD_LIBRARY_PATH"
export PATH="$KDEDIR/bin:$PATH"

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }


%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
	%configure	--disable-rpath \
			--disable-debug \
			--disable-warnings \
%if %build_mysql
                --enable-mysql \
%endif
			--with-xine 

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

rm -rf %{buildroot}/%_iconsdir/*
install -m644 %SOURCE10 -D %{buildroot}/%_miconsdir/%{name}.png
install -m644 %SOURCE11 -D %{buildroot}/%_iconsdir/%{name}.png
install -m644 %SOURCE12 -D %{buildroot}/%_liconsdir/%{name}.png

mkdir -p %{buildroot}/%{_menudir}

kdedesktop2mdkmenu.pl %{name} "Multimedia/Sound" $RPM_BUILD_ROOT%{_datadir}/applications/kde/%{name}.desktop $RPM_BUILD_ROOT%{_menudir}/%{name} x11 Amarok

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files scripts
%defattr(-,root,root)

%dir %_datadir/apps/amarok/scripts/
%dir %_datadir/apps/amarok/scripts/alarm/
%_datadir/apps/amarok/scripts/alarm/README
%_datadir/apps/amarok/scripts/alarm/*.py
%dir %_datadir/apps/amarok/scripts/graphequalizer/
%_datadir/apps/amarok/scripts/graphequalizer/*

%dir %_datadir/apps/amarok/scripts/playlist2html/
%_datadir/apps/amarok/scripts/playlist2html/*.py
%_datadir/apps/amarok/scripts/playlist2html/README

%dir %_datadir/apps/amarok/scripts/templates/
%_datadir/apps/amarok/scripts/templates/*.py
%_datadir/apps/amarok/scripts/templates/*.rb

%dir %_datadir/apps/amarok/scripts/webcontrol/
%_datadir/apps/amarok/scripts/webcontrol/*.py
%_datadir/apps/amarok/scripts/webcontrol/README
%_datadir/apps/amarok/scripts/webcontrol/*.png
%_datadir/apps/amarok/scripts/webcontrol/*.css
%_datadir/apps/amarok/scripts/webcontrol/*.js
%_datadir/apps/amarok/scripts/webcontrol/*.thtml

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog
%{_bindir}/*
%{_libdir}/*

%{_datadir}/applications/kde/amarok.desktop

#%{_datadir}/apps/%{name}
%dir %{_datadir}/apps/%{name}
%_datadir/apps/amarok/*.rc

%dir %_datadir/apps/amarok/data/
%_datadir/apps/amarok/data/*.m3u
%_datadir/apps/amarok/data/*.png
%_datadir/apps/amarok/icons/crystalsvg/16x16/actions/*.png
%_datadir/apps/amarok/icons/crystalsvg/22x22/actions/*.png
%_datadir/apps/amarok/icons/crystalsvg/32x32/actions/*.png
%_datadir/apps/amarok/icons/crystalsvg/48x48/actions/*.png
%_datadir/apps/amarok/icons/crystalsvg/64x64/actions/*.png

%dir %_datadir/apps/amarok/images/
%_datadir/apps/amarok/images/*.png
%_datadir/apps/amarok/images/*.jpg

%dir %_datadir/apps/amarok/themes/default/
%_datadir/apps/amarok/themes/default/*.css

%dir %_datadir/apps/amarok/themes/reinhardt/images/
%_datadir/apps/amarok/themes/reinhardt/images/*.png

%dir %_datadir/apps/amarok/themes/reinhardt/
%_datadir/apps/amarok/themes/reinhardt/*.css

%{_datadir}/config/%{name}rc
%{_datadir}/config.kcfg/%{name}.kcfg
%{_docdir}/HTML/*/%{name}/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}
#%_datadir/applications/kde/amarokapp.desktop


%_datadir/apps/konqueror/servicemenus/amarok_append.desktop

%dir %_datadir/apps/profiles/
%_datadir/apps/profiles/amarok.profile.xml

%dir %_datadir/apps/konqsidebartng/
%dir %_datadir/apps/konqsidebartng/add/
%_datadir/apps/konqsidebartng/add/amarok.desktop

%dir %_datadir/config.kcfg/
%_datadir/config.kcfg/gstconfig.kcfg


%_datadir/services/*.desktop
%_datadir/servicetypes/*.desktop

%dir %_datadir/apps/konqsidebartng/
%dir %_datadir/apps/konqsidebartng/entries/
%_datadir/apps/konqsidebartng/entries/amarok.desktop
%dir %_datadir/apps/konqsidebartng/kicker_entries/
%_datadir/apps/konqsidebartng/kicker_entries/amarok.desktop
	  

%changelog
* Mon Apr 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.2-4mdk
- Split amarok into amarok and amarok-script which requires PyQt
- Remove workaround to use gstreamer in x86_64 (asked by gb)

* Tue Mar 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.2-3mdk
- Fix buildrequires

* Tue Mar 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.2-2mdk
- Add patch18: fix kde bug #101496

* Tue Mar 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.2-1mdk
- 1.2.2

* Tue Mar 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-5mdk
- Add patch17: fix kde bug #101528

* Mon Mar 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-4mdk
- Add patch16: Fix signal/slot error

* Mon Mar 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-3mdk
- Fix shortcut, bug reported by Neoclust

* Mon Mar 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-2mdk
- Add patch15: fix kde bug #101276

* Mon Feb 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1

* Mon Feb 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-10mdk
- Add patch14: fix kde bug #100189
- Requires on kdemultimedia-common for "audiocd:/"

* Sun Feb 27 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-9mdk
- Add patch11: fix kde bug #100268
- Add patch12: fix kde bug #98415
- Add patch13: fix kde bug #100140

* Fri Feb 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-8mdk
- Add patch10: fix kde bug #100200

* Thu Feb 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-7mdk
- Add patch9: fix kde bug #100041

* Mon Feb 21 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-6mdk
- Fix shortcut, don't use Windows key as shortcut otherwise it opens
	K menu

* Fri Feb 18 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-5mdk
- Add patch8: fix "play media" allow to insert directory

* Wed Feb 16 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-4mdk
- Add patch7: fix cursor

* Tue Feb 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-3mdk
- Add patch3: reapply patch4
- Add other multimedia shortcut

* Mon Feb 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-2mdk
- Add patch6: fix amarok kde bug #90499

* Sun Feb 13 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-1mdk
- Amarok-1.2

* Mon Jan 31 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta4.2mdk
- Reapply patch1

* Mon Jan 31 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta4.1mdk
- beta4

* Mon Jan 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta3.1mdk
- beta3

* Sat Jan 01 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.2-0.beta2.3mdk
- add BuildRequires: kdebase-devel libxml2-utils
- list dangling "common" symlinks explicitly as the glob apparently doesn't 
  work for them with up-to-date build env on ppc

* Mon Dec 13 2004 Laurent Culioli <laurent@mandrake.org> 1.2-0.beta2.2mdk
- rebuild with tunepimp ( autotagging support )

* Fri Dec 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta2.1mdk
- 1.2 beta2

* Thu Dec 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta1.5mdk
- Now libvisual is in main
- Add patch5: add multimedia shortcut

* Wed Dec 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta1.4mdk
- Add patch to compile conditional with mysql (patch from  Greg Meyer )

* Tue Nov 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta1.3mdk
- --enable-mysql

* Mon Nov 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta1.2mdk
- Reapply patch

* Mon Nov 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta1.1mdk
- 1.2 beta1

* Fri Nov 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-3mdk
- Add patch4: fix default config

* Tue Nov 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-2mdk
- Reapply gb fixe

* Mon Oct 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-1mdk
- 1.1.1

* Fri Oct 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-1mdk
- 1.1

* Fri Oct 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.2-5mdk
- Fix default config

* Wed Sep 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.2-4mdk
- Fix compile

* Wed Sep 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.2-3mdk
- Fix initial preference

* Mon Sep 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.2-2mdk
- Add initialpreference

* Fri Aug 06 2004 Laurent Culioli <laurent@mandrake.org> 1.0.2-1mdk
- 1.0.2
- regenerate patch0
- use libxine 

* Mon Jun 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Fri Jun 18 2004 Laurent Culioli <laurent@mandrake.org> 1.0-2mdk
- Patch0: fix locales
- update description
- make rpmlint happy with menu

* Thu Jun 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-1mdk
- 1.0

* Fri Jun  4 2004  <lmontel@n2.mandrakesoft.com> 1.0-0.beta4.2mdk
- Rebuild

* Wed Jun 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta4.1mdk
- beta4

* Thu May 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.0-0.beta3.3mdk
- fix buildrequires
- don't do rm -rf $RPM_BUILD_ROOT in %%prep

* Mon May 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta3.2mdk
- Reapply patch1

* Wed May 12 2004 Bellegarde Cedric <cedric.bellegarde@wanadoo.fr> 1.0-0.beta3.1mdk
- Update to last version

* Fri May 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta2.3mdk
- Fix crash when xmms_plugins_path not found (bug found by Nicolas Chipaux)

* Sat Apr 24 2004 Bellegarde Cedric <cedric.bellegarde@wanadoo.fr> 1.0-0.beta2.2mdk
- Fix libxmms-devel missing build require
- Add libgstreamer support

* Sun Apr 24 2004 Bellegarde Cedric <cedric.bellegarde@wanadoo.fr> 1.0.beta2-1mdk
- update to last version

* Tue Apr 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta1.1mdk
- 1.0-beta1
- Fix spec file

* Wed Apr 7 2004 Laurent Culioli <laurent@mandrake.org> 0.9-2mdk
- reupload

* Sat Mar 6 2004 Bellegarde Cedric <cedric.bellegarde@wanadoo.fr> 0.9-1mdk
- Make a spec file
